__author__ = "Lukas Leufen"
__date__ = '2019-11-14'

import argparse

from mlair.workflows import DefaultWorkflow
from mlair.data_handler.data_handler_mixed_sampling import DataHandlerMixedSampling, DataHandlerMixedSamplingWithFilter, \
    DataHandlerSeparationOfScales


def main(parser_args):
    args = dict(sampling="daily",
                sampling_inputs="hourly",
                window_history_size=24,
                **parser_args.__dict__,
                data_handler=DataHandlerSeparationOfScales,
                kz_filter_length=[100 * 24, 15 * 24],
                kz_filter_iter=[4, 5],
                start="2006-01-01",
                train_start="2006-01-01",
                end="2011-12-31",
                test_end="2011-12-31",
                stations=["DEBW107", "DEBW013"],
                epochs=100,
                network="UBA",
                )
    workflow = DefaultWorkflow(**args)
    workflow.run()


if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument('--experiment_date', metavar='--exp_date', type=str, default=None,
                        help="set experiment date as string")
    args = parser.parse_args(["--experiment_date", "testrun"])
    main(args)
